#ifndef _ESPERANCEPARAMS_H_
#define _ESPERANCEPARAMS_H_

class EsperanceParams {
 public:

  const char *inputfileName;
  
  int inputs;
  char       **inputfiles;
  const char *outputfileName;

  bool h264HighProfile;

  int inputWidth;
  int inputHeight;
  
  //int fpsMode;

  bool needResize;
  int outputWidth;
  int outputHeight;

  int deinterlace;
  bool autoDetectProgressive;

  bool encodeVideo;
  bool encodeAudio;

  bool x264_bframe;

  //
  bool colorCorrection;

  //
  int x264_qpmin;
  int x264_qpmax;
  int x264_subpel_refine;

  //
  bool mp4_vHack;
  bool mp4_vSync;
  bool mp4_aSync;
  bool mp4_optimize;
  
  int mp4_timescale;
  
  int mp4_vDelay;

};

#endif
